# To execute this docker-compose yml file use `docker-compose -f docker-compose-v3.yml up`
# Add the `-d` flag at the end for detached execution
# To stop the execution, hit Ctrl+C, and then `docker-compose -f docker-compose-v3.yml down`
version: "3"
services:
  flaresolverr:
    image: flaresolverr/flaresolverr:latest

  retagger:
    image: php:8.0-alpine
    environment:
      - CI_REGISTRY_IMAGE=registry.gitlab.com/traffic_control/docker-containers/redroid-chrome
      - CI_REGISTRY=registry.gitlab.com
      - QUAY_REGISTRY_IMAGE=quay.io/traffic-control/redroid-chrome
      - QUAY_REGISTRY=quay.io
    # entrypoint: /bin/bash
    volumes:
      - ./:/app
      - ~/.config/composer:/.composer

  php:
    build:
      context: downloader/
      dockerfile: Dockerfile
    environment:
      - CI_REGISTRY_IMAGE=registry.gitlab.com/traffic_control/docker-containers/redroid-chrome
      - CI_REGISTRY=registry.gitlab.com
      - QUAY_REGISTRY_IMAGE=quay.io/traffic-control/redroid-chrome
      - QUAY_REGISTRY=quay.io
    user: "1000"
    # entrypoint: /bin/bash
    volumes:
      - ./:/app
      - ~/.config/composer:/.composer